#!/usr/bin/perl
# BOFH exuse generator
# Written by gf
# Idea and words from http://bofh.ntk.net/ExcuseBoard.html

package SLAP;

@first = qw (
	slaps kicks beats bashes
);

@second = qw(
somewhat very probably
);

@third = qw(
large huge gigantic medium tiny
);


@fourth = qw(
trout trout trout trout trout salmon keyboard beerbottle trout trout
);

sub get_slap($) {
	my $name = shift;
	my $exuse;
	$exuse .= $first[rand($#first)].' ' . $name . " around a bit with a";
	$exuse .= ' '.$second[rand($#second)] if (rand(10) % 4==0);
	$exuse .= ' '.$third[rand($#third)];
	$exuse .= ' '.$fourth[rand($#fourth)].' ';
	return lc($exuse);
}

1;
